Bug 999559 - Operations on task via REST end with error saying that 'operation is not supported on tasks.'
Operations on task via REST end with error saying that 'operation is not supp...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER2
: 6.0.0
Assigned To: Marco Rietveld
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 10:45 EDT by Radovan Synek
Modified: 2016-09-20 01:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-08-21 10:45:58 EDT
Steps to reproduce:

1. Start some process containing a user task.
2. GET  http://localhost:8080/business-central/rest/task/1

response:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<response>
    <status>BAD_REQUEST</status>
    <url>/business-central/rest/task/1</url>
    <error>Operation 'Unable to get task 1' is not supported on tasks.</error>
</response>

This operation should be supported - and even the error message does not make much sense.

Similar situation is with starting a task:

POST http://localhost:8080/business-central/rest/task/1/start

response:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<response>
    <status>BAD_REQUEST</status>
    <url>/business-central/rest/task/1/start</url>
    <error>Operation 'Unable to check if task 1 exists' is not supported on tasks.</error>
</response>
Comment 2 Marco Rietveld 2013-08-21 20:05:56 EDT
This was fixed in this commit: 

https://github.com/droolsjbpm/droolsjbpm-integration/commit/58a8d61270f2ff9486e966d085757cc7a3cd2e6a#L3L271

The replacement of "doTaskOperation(...)" with "internalDoTaskOperation(...)" is what fixes this issue.
Comment 4 Edson Tirelli 2013-08-21 20:28:07 EDT
Rajesh, yes, it is included in the tag from today (sync.2013.08.21).
Comment 6 Radovan Synek 2013-09-04 07:53:07 EDT
Verified on BPMS 6.0.0.ER2

Note You need to log in before you can comment on or make changes to this bug.